PETSc version 3.15.5
Fix/Edit manual page

# PetscSectionSetFieldComponents

Sets the number of field components for the given field.

### Synopsis

    #include "petscsection.h"
    PetscErrorCode PetscSectionSetFieldComponents(PetscSection s, PetscInt field, PetscInt numComp)

Not collective

### Input Parameters

| s | - the PetscSection
| field | - the field number
| numComp | - the number of field components

### See Also

PetscSectionGetFieldComponents(), PetscSectionGetNumFields()

### Level

intermediate

### Location

src/vec/is/section/interface/section.c

### Examples

src/dm/impls/plex/tutorials/ex7.c.html
src/ts/tutorials/ex11.c.html
Index of all PetscSection routines
Table of Contents for all manual pages
Index of all manual pages